Active LTE connection not indicated in nm-applet info text (indicated as 3G)

Bug #1044744 reported by Marius B. Kotsbak on 2012-09-01
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ModemManager
Fix Committed
Undecided
Unassigned
Network Manager Applet
Fix Committed
Undecided
Unassigned
modemmanager (Ubuntu)
High
Mathieu Trudel-Lapierre
network-manager-applet (Ubuntu)
High
Mathieu Trudel-Lapierre

Bug Description

When connected to a LTE network, nm-applet info text indicates it is connected to a 3G network. It should display "LTE" when it has an active LTE connection.

Upstream nm-applet commits:

commit ecb991ba194829ed152e060df18ec1d131b3f29e
Author: Dan Williams <email address hidden>
Date: Fri Sep 7 16:16:37 2012 -0500

    applet: add LTE indicator icon and use it

commit dbe3b1205185c69816c5313d7c75268ee3ba59b1
Author: Marius B. Kotsbak <email address hidden>
Date: Sat Sep 1 15:48:53 2012 +0200

    applet: add support for indicating HSPA+ and LTE technologies in the applet.

Upstream modem manager commits:

commit 0af47c76cc2a4ee7be083d9e678810d9c5944420
Author: Marius B. Kotsbak <email address hidden>
Date: Sun Sep 2 00:14:08 2012 +0200

    gsm: change to proper LTE entry in the ETSI mode table.

commit 90489ae1e31e31ec84dea750561d55881d382fd0
Author: Marius B. Kotsbak <email address hidden>
Date: Fri Aug 31 12:15:14 2012 +0200

    modem-helpers: add support for LTE/4G access technology parsing.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: modemmanager 0.6~git201206221719.8289a64-0ubuntu1 [modified: lib/udev/rules.d/77-mm-ericsson-mbm.rules lib/udev/rules.d/77-mm-usb-device-blacklist.rules lib/udev/rules.d/77-mm-zte-port-types.rules]
ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
Uname: Linux 3.5.0-13-generic i686
ApportVersion: 2.5.1-0ubuntu4
Architecture: i386
Date: Sat Sep 1 17:41:50 2012
EcryptfsInUse: Yes
ProcEnviron:
 LANGUAGE=nb_NO:nb:no_NO:no:nn_NO:nn:en
 TERM=xterm
 PATH=(custom, user)
 LANG=nb_NO.UTF-8
 SHELL=/bin/bash
SourcePackage: modemmanager
UpgradeStatus: Upgraded to quantal on 2012-08-31 (1 days ago)

Marius B. Kotsbak (mariusko) wrote :

The attachment "Patch to modem manager" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Marius B. Kotsbak (mariusko) wrote :

Upstream nm-applet commits:

commit ecb991ba194829ed152e060df18ec1d131b3f29e
Author: Dan Williams <email address hidden>
Date: Fri Sep 7 16:16:37 2012 -0500

    applet: add LTE indicator icon and use it

commit dbe3b1205185c69816c5313d7c75268ee3ba59b1
Author: Marius B. Kotsbak <email address hidden>
Date: Sat Sep 1 15:48:53 2012 +0200

    applet: add support for indicating HSPA+ and LTE technologies in the applet.

Changed in network-manager-applet:
status: New → Fix Committed
Marius B. Kotsbak (mariusko) wrote :

Upstream modem manager commits:

commit 0af47c76cc2a4ee7be083d9e678810d9c5944420
Author: Marius B. Kotsbak <email address hidden>
Date: Sun Sep 2 00:14:08 2012 +0200

    gsm: change to proper LTE entry in the ETSI mode table.

commit 90489ae1e31e31ec84dea750561d55881d382fd0
Author: Marius B. Kotsbak <email address hidden>
Date: Fri Aug 31 12:15:14 2012 +0200

    modem-helpers: add support for LTE/4G access technology parsing.

Changed in modemmanager:
status: New → Fix Committed
description: updated

Ack, let's try to fit these into 12.10.

I can easily push these two commits into MM as device enablement; I think we can also cherry-pick http://git.gnome.org/browse/network-manager-applet/commit/?id=dbe3b1205185c69816c5313d7c75268ee3ba59b1 as being bugfix (showing the right values, as this bug refers to), even if it actually contains strings to be translated.

I have absolutely no idea how one would translate HSPA+ or LTE, anyway ;)

Changed in modemmanager (Ubuntu):
status: New → Triaged
Changed in network-manager-applet (Ubuntu):
status: New → Triaged
Changed in modemmanager (Ubuntu):
importance: Undecided → High
Changed in network-manager-applet (Ubuntu):
importance: Undecided → High
Changed in modemmanager (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Changed in network-manager-applet (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Marius B. Kotsbak (mariusko) wrote :

That would be great. There are probably going to be more and more use of LTE/HSPA+ devices until the next Ubuntu release. I am ready to test new packages in Quantal including this fix.

Just be aware that the referred patch to cherry pick seems to require a modification of the libindicator patch too.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package modemmanager - 0.6.0.0-0ubuntu3

---------------
modemmanager (0.6.0.0-0ubuntu3) quantal; urgency=low

  * debian/patches/git_lte_4g_parsing_90489ae.patch,
    debian/patches/git_lte_etsi_mode_0af47c7.patch: cherry-pick the patches
    to properly handle and display LTE/4G technology modes. (LP: #1044744)
  * debian/patches/git_lp1015328_segfault_in_clck_parser_318aaa0.patch: avoid
    crashing when parsing +CLCK responses. (LP: #1015328)
 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 25 Sep 2012 16:51:16 -0400

Changed in modemmanager (Ubuntu):
status: Triaged → Fix Released
David Planella (dpm) wrote :

As chatted on IRC, +1 from translations. It's ok to add the translatable acronyms, as most teams won't translate them, but that gives the teams that do translate them to change them.

Marius B. Kotsbak (mariusko) wrote :

Japp, it could have been promoted differently in different locations/languages (like here in Norway "4G"="LTE", "Turbo 3G"="HSPA", "Turbo 3G+"="HSPA+" etc.).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-applet - 0.9.6.2-0ubuntu6

---------------
network-manager-applet (0.9.6.2-0ubuntu6) quantal; urgency=low

  * debian/patches/git_indicate_hspa+_lte_tech_dbe3b12.patch: add indications
    and support for HSPA+ and LTE modes. (LP: #1044744)
  * Also update nm-applet-use-indicator.patch for the changes above.
  * debian/patches/git_mac_addr_string_leakage_6dae878.patch: use
    nm_utils_hwaddr_ntoa() to output MAC addresses as strings since it's
    available and make sure they get freed to avoid leaks.
 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 27 Sep 2012 22:25:48 -0400

Changed in network-manager-applet (Ubuntu):
status: Triaged → Fix Released
Marius B. Kotsbak (mariusko) wrote :

Works now, thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers